<?xml version="1.0"?>

<xsl:stylesheet
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"
	xmlns:j2ee="http://java.sun.com/xml/ns/j2ee">
	<xsl:output method="xml" indent="yes"/>
        <xsl:param name="displayname"/>
        <xsl:param name="handlername"/>   
	<xsl:param name="handlerclass"/>

	<xsl:param name="displaynamevalue"/>
        <xsl:param name="handlernamevalue"/>   
	<xsl:param name="handlerclassvalue"/>

	<xsl:template name="globalReplace"> 
 	  <xsl:param name="outputString"/> 
	  <xsl:param name="target"/> 
          <xsl:param name="replacement"/> 
          <xsl:choose> 
            <xsl:when test="contains($outputString,$target)"> 
              <xsl:value-of select= "$replacement"/> 
            </xsl:when> 
            <xsl:otherwise> 
              <xsl:value-of select="$outputString"/> 
            </xsl:otherwise> 
          </xsl:choose> 
        </xsl:template> 

	<xsl:template match="/j2ee:ejb-jar/j2ee:enterprise-beans/j2ee:session/j2ee:service-ref/j2ee:handler/j2ee:display-name//text()">
         <xsl:call-template name="globalReplace">
		<xsl:with-param name="outputString" select="."/>
		<xsl:with-param name="target" select="$displayname"/>
		<xsl:with-param name="replacement" select="$displaynamevalue"/>
  	  </xsl:call-template>
	</xsl:template>

	<xsl:template match="/j2ee:ejb-jar/j2ee:enterprise-beans/j2ee:session/j2ee:service-ref/j2ee:handler/j2ee:handler-name//text()">
         <xsl:call-template name="globalReplace">
		<xsl:with-param name="outputString" select="."/>
		<xsl:with-param name="target" select="$handlername"/>
		<xsl:with-param name="replacement" select="$handlernamevalue"/>
  	  </xsl:call-template>
	</xsl:template>
		<xsl:template match="/j2ee:ejb-jar/j2ee:enterprise-beans/j2ee:session/j2ee:service-ref/j2ee:handler/j2ee:handler-class//text()">
         <xsl:call-template name="globalReplace">
		<xsl:with-param name="outputString" select="."/>
		<xsl:with-param name="target" select="$handlerclass"/>
		<xsl:with-param name="replacement" select="$handlerclassvalue"/>
  	  </xsl:call-template>
	</xsl:template>

	<xsl:template match="@*|*">
          <xsl:copy>
            <xsl:apply-templates select="@*|node()"/>
          </xsl:copy>

        </xsl:template>


</xsl:stylesheet>




